/* -*-c-*-
 *
 * $Id: cancel.h,v 1.4 2000/08/15 22:40:15 mdw Exp $
 *
 * Handle Escape keypresses, directing them to cancel buttons
 *
 * (c) 1998 Straylight/Edgeware
 */

/*----- Licensing notice --------------------------------------------------* 
 *
 * This file is part of the mgLib GTK utilities library.
 *
 * mgLib is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 * 
 * mgLib is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 * 
 * You should have received a copy of the GNU Library General Public
 * License along with mgLib; if not, write to the Free
 * Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 * MA 02111-1307, USA.
 */

/*----- Revision history --------------------------------------------------* 
 *
 * $Log: cancel.h,v $
 * Revision 1.4  2000/08/15 22:40:15  mdw
 * Change guard constants.
 *
 * Revision 1.3  1999/05/06 19:51:48  mdw
 * Reformatted the LGPL notice a little bit.
 *
 * Revision 1.2  1999/05/05 18:52:45  mdw
 * Change licensing conditions to LGPL.
 *
 * Revision 1.1  1998/12/11 09:44:21  mdw
 * Initial version.
 *
 */

#ifndef MGLIB_CANCEL_H
#define MGLIB_CANCEL_H

#ifdef __cplusplus
  extern "C" {
#endif

/*----- Header files ------------------------------------------------------*/

#include <gtk/gtk.h>

/*----- Functions provided ------------------------------------------------*/

/* --- @cancel@ --- *
 *
 * Arguments:	@GtkWindow *win@ = window in which this is happening
 *		@GtkWidget *w@ = widget to activate, or null
 *
 * Returns:	---
 *
 * Use:		Sets up @win@ so that a press of `escape' will activate
 *		@w@ or destroy @win@.
 */

extern void cancel(GtkWindow */*win*/, GtkWidget */*w*/);

/*----- That's all, folks -------------------------------------------------*/

#ifdef __cplusplus
  }
#endif

#endif
